/*
** EPITECH PROJECT, 2018
** task01
** File description:
** I do task
*/
#include "lib/my_string.h"

int my_strcoll(const char *s1, const char *s2)
{
    ssize_t i;

    i = -1;
    while (s1[++i] != '\0' && s1[i] != '\0' && s1[i] == s2[i]);
    return (s1[i] - s2[i]);
}

int my_strcoll_l(const char *s1, const char *s2)
{
    ssize_t i;

    i = -1;
    while (s1[++i] != '\0' && s1[i] != '\0' && s1[i] == s2[i]);
    return (s1[i] - s2[i]);

}
